tvbrowser.core.filters

## Class SingleChannelFilter

- java.lang.Object
- - tvbrowser.core.filters.SingleChannelFilter

- All Implemented Interfaces:
    ProgramFilter

      public class SingleChannelFilter
      extends java.lang.Object
      implements ProgramFilter

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SingleChannelFilter(Channel channel)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accept(Program program)`
    `boolean` | `containsChannel(Channel ch)`
    `java.lang.String` | `getName()`
    `boolean` | `isValidChannel()`
    `void` | `store(java.lang.String id, java.io.ObjectOutputStream out)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SingleChannelFilter

          public SingleChannelFilter(Channel channel)

  - ### Method Detail

    - #### accept

          public boolean accept(Program program)

      Specified by:
        `accept` in interface `ProgramFilter`
      Parameters:
        `program` - the program to be checked
      Returns:
        true, if the filter accepts the specified program

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `ProgramFilter`
      Returns:
        the name of this filter

    - #### store

          public void store(java.lang.String id,
                   java.io.ObjectOutputStream out)
                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### isValidChannel

          public boolean isValidChannel()

    - #### containsChannel

          public boolean containsChannel(Channel ch)

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `ProgramFilter`
      Overrides:
        `toString` in class `java.lang.Object`

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)